
Redmine - Defect #16457

Can't uninstall the plugin CRM

2014-03-28 11:11 - ilhami visne

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.0

Description

Hi,

I could successfully installed the plugin CRM (http://www.redmine.org/plugins/contacts). After i played a little with it, i have wanted to

uninstall it.

My system: Ruby 2.0, Redmine 2.5, Rails 3.2, Ubuntu 12.04

>rake redmine:plugins:migrate NAME=redmine_contacts VERSION=0 RAILS_ENV=production --trace

** Invoke redmine:plugins:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:plugins:migrate

Migrating redmine_contacts (Redmine CRM plugin)...

==  CreateAddresses: reverting ================================================

rake aborted!

An error has occurred, all later migrations canceled:

ActiveRecord::IrreversibleMigration/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/act

ive_record/migration/command_recorder.rb:42:in `block in inverse'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration/command_record

er.rb:40:in `map'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration/command_record

er.rb:40:in `inverse'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:401:in `blo

ck (3 levels) in migrate'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:358:in `rev

ert'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:400:in `blo

ck (2 levels) in migrate'

/usr/local/lib/ruby/2.0.0/benchmark.rb:281:in `measure'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:399:in `blo

ck in migrate'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abst

ract/connection_pool.rb:129:in `with_connection'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:389:in `mig

rate'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:528:in `mig

rate'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:720:in `blo

ck (2 levels) in migrate'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:777:in `cal

l'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:777:in `ddl

_transaction'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:719:in `blo

ck in migrate'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:700:in `eac

h'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:700:in `mig

rate'
/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:574:in `dow

n'

/usr/local/lib/ruby/gems/2.0.0/gems/activerecord-3.2.17/lib/active_record/migration.rb:555:in `mig

rate'

/opt/redmine-all/lib/redmine/plugin.rb:452:in `migrate_plugin'

/opt/redmine-all/lib/redmine/plugin.rb:424:in `migrate'

/opt/redmine-all/lib/redmine/plugin.rb:435:in `migrate'

/opt/redmine-all/lib/tasks/redmine.rake:126:in `block (3 levels) in <top (required)>'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:236:in `call'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:236:in `block in execute'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:231:in `each'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:231:in `execute'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:175:in `block in invoke_with_call

_chain'

/usr/local/lib/ruby/2.0.0/monitor.rb:211:in `mon_synchronize'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:168:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/task.rb:161:in `invoke'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:149:in `invoke_task'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:106:in `block (2 levels) i

n top_level'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:106:in `each'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:106:in `block in top_level

'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:115:in `run_with_threads'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:100:in `top_level'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:78:in `block in run'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:165:in `standard_exception

_handling'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/lib/rake/application.rb:75:in `run'

/usr/local/lib/ruby/gems/2.0.0/gems/rake-10.1.1/bin/rake:33:in `<top (required)>'

/usr/local/bin/rake:23:in `load'

/usr/local/bin/rake:23:in `<main>'

Tasks: TOP => redmine:plugins:migrate

 Thanks,Ilhami

P.S.: I'm not sure if this is the right place about 3rd party plugins issues.

History

#1 - 2014-03-28 11:13 - ilhami visne

CRM plugin version is 3.2.14

#2 - 2014-03-29 16:32 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Please contact the plugin author, we track issues about Redmine core only in this issue tracker.
